Tomact服务器报错:Java compiler level does not match the version of the installed java project facet

原创 2016年08月19日 23:35:03

问题:


经常我们在导入别人的项目进入自己的工程时,会报Java compiler level does not match the version of the installed java project facet错误,那么怎么解决呢?

鄙人以为分为以下三步走:

首先在eclipse中,打开 window窗口====》preferences===》java===》compiler,然后会看到右边栏目有jdk compliance,把jdk版本号改为自己常用的版本:具体操作如下

再者在自己所导进工程的项目下右键====》properties====>java compiler;然后右边栏有一个Javacompiler版本,也改成jdk1.7,保持一样,具体如下图:

第三步:如上述两步还不能解决错误那么就执行第三步操作:

找到你所放项目的工作空间,打开项目,其中有一个.setting文件,具体操作如下:


相信完成以上三步刷新一下项目;那么错误也应该消失了。

版权声明:本文为博主原创文章,未经博主允许不得转载。

Maven常见异常及解决方法(本篇更新至16-4-12)

本篇文章记录了老猫在学习整合Maven和SSH过程中遇到的问题,有的问题能够解决,有的问题还不能解决。方法不一定适合所有的环境,但绝对是本人常遇到的常见异常,在这里做一个笔记和记录,也分享给大家,希望...
  • nthack5730
  • nthack5730
  • 2015年06月25日 10:17
  • 40838

关于Android Studio导入源码的问题解决

进入源码看不到详细代码 方法体中显示介样内容:throw new RuntimeException("Stub!");上方提示介样的错误:Decompiled .class file, bytecod...
  • u010917495
  • u010917495
  • 2016年04月24日 16:23
  • 8450

github项目导入Android studio 出现的问题及解决

前言刚用AS的时候,真心觉得坑不要太多,尤其是导入项目的时候,所以特此整理一些错误信息,方便以后查询和修改错误...
  • liuwanyouyue
  • liuwanyouyue
  • 2016年08月02日 11:05
  • 10054

Eclipse报错Java compiler level does not match the version of the installed Java project facet.解决办法

Java compiler level does not match the version of the installed Java project facet. 以前没有碰到过,花了半个多小...
  • qq_24862137
  • qq_24862137
  • 2017年07月06日 09:50
  • 4935

解决java compiler level does not match the version of the installed java project facet

java compiler level does not match the version of the installed java project facet错误的解决 因工作的关系,...
  • qq_20545159
  • qq_20545159
  • 2015年10月13日 18:16
  • 308

java compiler level does not match the version of the installed java project facet

解决方法1: 在资源管理器下,找到项目所在的目录,在 .settings 子目录里面,用 文本编辑器打开 org.eclipse.wst.common.project.facet.core.xm...
  • lianshangxiakong
  • lianshangxiakong
  • 2014年03月11日 09:49
  • 534

Java compiler level does not match the version of the installed Java project facet 的解决方案

原文链接:http://blog.csdn.net/hemingwang0902/article/details/6873269 今天将MyEclipse升级到 9.1 后,打开原来的工作空间,原来...
  • liliiii
  • liliiii
  • 2015年02月11日 11:25
  • 418

java compiler level does not match the version of the installed java project facet 解决方法

1、Window->prefrences->compiler 2、点击下图Configure......,注意eclipse JDK版本,我这里是1.6,第二个红框 3、选择项目,点击OK 发现...
  • z345434645
  • z345434645
  • 2015年11月18日 11:09
  • 351

Java compiler level does not match the version of the installed Java project

====================================================== 注:本文源代码点此下载 =============================...
  • javazhuanzai
  • javazhuanzai
  • 2012年01月16日 03:42
  • 304

Java compiler level does not match the version of the installed Java 及MyEclipse中没有ProjectFacets

解决办法 在项目上右键Properties-》Project Facets,在打开的Project Facets页面中的Java下拉列表中,选择相应版本。 有可能是java1.6 改成java6之...
  • yuzongtao
  • yuzongtao
  • 2014年09月30日 14:13
  • 789
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:Tomact服务器报错:Java compiler level does not match the version of the installed java project facet
举报原因:
原因补充:

(最多只允许输入30个字)